/**
 * 总路由入口
 */

import * as publicRouters from './public';
import * as enterpriseInfoRouters from './enterpriseInfo';
import * as teamsRouters from './teams';
import * as qualificationRouters from './qualification';
import * as financeRouters from './finance';
import * as gaoxinRouters from './gaoxin';
import * as filesInfoRouters from './files';
import * as notificationRouters from './notification';

export function setRouter(httpServer){
    /**下拉框等公用 路由 */
    publicRouters.setRouter(httpServer);
    
    /**小程序企业端 入口路由 */
    enterpriseInfoRouters.setRouter(httpServer);
    teamsRouters.setRouter(httpServer);
    qualificationRouters.setRouter(httpServer);
    financeRouters.setRouter(httpServer);
    gaoxinRouters.setRouter(httpServer);

    filesInfoRouters.setRouter(httpServer);

    notificationRouters.setRouter(httpServer);
}